package envoy.event;

/**
 * Project: <strong>envoy-common</strong><br>
 * File: <strong>ContactsRequest.java</strong><br>
 * Created: <strong>05.02.2020</strong><br>
 * 
 * @author Maximilian K&auml;fer
 * @since Envoy Common v0.2-alpha
 */
public class ContactsRequest implements Event<String> {

	private final String request;

	private static final long serialVersionUID = -7969312055630533627L;

	/**
	 * Initializes a {@link ContactsRequest}.
	 * 
	 * @param request the string, which is entered by the client to request
	 *                corresponding clients as contacts from the server.
	 * @since Envoy Common v0.2-alpha
	 */
	public ContactsRequest(String request) { this.request = request; }

	/**
	 * @return the request string
	 * @since Envoy Common v0.2-alpha
	 */
	@Override
	public String get() { return request; }
}
